Manuel de l'utilisateur d’xpmtoppm(1)

NOM
xpmtoppm – Conversion d’une image matricielle d’X11 en image PPM

SYNOPSIS

xpmtoppm

[--alphaout={fichier_alpha,-}] [-verbose]

[fichier_xpm]

DESCRIPTION

Ce programme fait partie de Netpbm(1).

xpbtoppm lit une image matricielle d’X11 (version 1 ou 3 d’XPM) en entrée et produit une image PPM en sortie.

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (notablement -quiet, voir Options communes (index.html#commonoptions) ), xpmtoppm reconnait les options de ligne de commande
 suivantes :

--alphaout=fichier_alpha
    Cette option fait que xpmtoppm crée un fichier PBM contenant le masque de transparence de l’image. Si l’image d’entrée ne contient pas de d’information de transparence, le fichier fichier_alpha contient toutes les valeurs blanc (opaque) de transparence.

    Si aucune option --alphaout n’est indiquée, xpmtoppm ne génère pas de fichier de transparence, et si l’image d’entrée possède des informations de transparence, xpmtoppm les rejette.

    Si - est indiqué comme nom de fichier, xpmtoppm écrit la sortie de transparence sur la sortie standard et rejette l’image.

    Consulter pamcomp(1) pour une façon d’utiliser le fichier de sortie de la transparence.

    xpmtoppm peut gérer une ligne dont la longueur est supérieure à 8000 caractères dans la sortie XPM. Si une ligne d’entrée excède cette limite, xpmtoppm quitte avec un message d’erreur approprié. Avant Netpbm 10.30 (octobre 2005), la limite était 2000.

--verbose
    xpmtoppm affiche des informations sur son traitement dans la sortie standard d’erreur.

LIMITES

xpmtoppm ne reconnait qu’un ensemble limité des fonctionnalités de la version 3 d’XPM, c’est-à-dire qu’il rejette comme non valables beaucoup d’images XPM valables.

Le seul endroit où un bloc de commentaire est autorisé est dans la première colonne de la ligne immédiatement après « static char ... ».

De plus, ppmtoxpm reconnait correctement n’importe quel commentaire d’une seule ligne qui débute à la première colonne de la partie table de couleurs du fichier.

Par défaut, un nom de couleur doit exister pour chaque pixel pour un type de couleur visible.

Avant Netpbm 10.58 (mars 2012), zéro octet par pixel fait que le programme échoue avec un message à propos d’un EOF prématuré dans l’entrée.

VOIR AUSSI
ppmtoxpm(1), pamcomp(1), ppm(1)

AUTEUR

Copyright (C) 1991 par Jef Poskanzer.

Actualisation pour fonctionner avec la version 3 d’XPM d’Arnaud Le Hors <lehors@mirsa.inria.fr>, mardi 9 avril 1991.

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/xpmtoppm.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.